Index: /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/wp8/App.xaml
===================================================================
--- /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/wp8/App.xaml	(revision 5539)
+++ /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/wp8/App.xaml	(revision 5539)
@@ -0,0 +1,19 @@
+﻿<Application
+    x:Class="PjsuaCLI.UI.App"
+    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
+    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
+    xmlns:phone="clr-namespace:Microsoft.Phone.Controls;assembly=Microsoft.Phone"
+    xmlns:shell="clr-namespace:Microsoft.Phone.Shell;assembly=Microsoft.Phone">
+
+    <!--Application Resources-->
+    <Application.Resources>
+    </Application.Resources>
+
+    <Application.ApplicationLifetimeObjects>
+        <!--Required object that handles lifetime events for the application-->
+        <shell:PhoneApplicationService
+            Launching="Application_Launching" Closing="Application_Closing"
+            Activated="Application_Activated" Deactivated="Application_Deactivated"/>
+    </Application.ApplicationLifetimeObjects>
+
+</Application>
Index: /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/wp8/App.xaml.cs
===================================================================
--- /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/wp8/App.xaml.cs	(revision 5539)
+++ /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/wp8/App.xaml.cs	(revision 5539)
@@ -0,0 +1,187 @@
+﻿using System;
+using System.Diagnostics;
+using System.Resources;
+using System.Windows;
+using System.Windows.Markup;
+using System.Windows.Navigation;
+using Microsoft.Phone.Controls;
+using Microsoft.Phone.Shell;
+
+namespace PjsuaCLI.UI
+{
+    public partial class App : Application
+    {
+        /// <summary>
+        /// Provides easy access to the root frame of the Phone Application.
+        /// </summary>
+        /// <returns>The root frame of the Phone Application.</returns>
+        public static PhoneApplicationFrame RootFrame { get; private set; }
+
+        /// <summary>
+        /// Constructor for the Application object.
+        /// </summary>
+        public App()
+        {
+            // Global handler for uncaught exceptions.
+            UnhandledException += Application_UnhandledException;
+
+            // Standard XAML initialization
+            InitializeComponent();
+
+            // Phone-specific initialization
+            InitializePhoneApplication();
+
+            // Language display initialization
+            InitializeLanguage();
+
+            // Show graphics profiling information while debugging.
+            if (Debugger.IsAttached)
+            {
+                // Display the current frame rate counters.
+                Application.Current.Host.Settings.EnableFrameRateCounter = true;
+
+                // Show the areas of the app that are being redrawn in each frame.
+                //Application.Current.Host.Settings.EnableRedrawRegions = true;
+
+                // Enable non-production analysis visualization mode,
+                // which shows areas of a page that are handed off to GPU with a colored overlay.
+                //Application.Current.Host.Settings.EnableCacheVisualization = true;
+
+                // Prevent the screen from turning off while under the debugger by disabling
+                // the application's idle detection.
+                // Caution:- Use this under debug mode only. Application that disables user idle detection will continue to run
+                // and consume battery power when the user is not using the phone.
+                PhoneApplicationService.Current.UserIdleDetectionMode = IdleDetectionMode.Disabled;
+            }
+
+        }
+
+        // Code to execute when the application is launching (eg, from Start)
+        // This code will not execute when the application is reactivated
+        private void Application_Launching(object sender, LaunchingEventArgs e)
+        {
+        }
+
+        // Code to execute when the application is activated (brought to foreground)
+        // This code will not execute when the application is first launched
+        private void Application_Activated(object sender, ActivatedEventArgs e)
+        {
+        }
+
+        // Code to execute when the application is deactivated (sent to background)
+        // This code will not execute when the application is closing
+        private void Application_Deactivated(object sender, DeactivatedEventArgs e)
+        {
+        }
+
+        // Code to execute when the application is closing (eg, user hit Back)
+        // This code will not execute when the application is deactivated
+        private void Application_Closing(object sender, ClosingEventArgs e)
+        {
+        }
+
+        // Code to execute if a navigation fails
+        private void RootFrame_NavigationFailed(object sender, NavigationFailedEventArgs e)
+        {
+            if (Debugger.IsAttached)
+            {
+                // A navigation has failed; break into the debugger
+                Debugger.Break();
+            }
+        }
+
+        // Code to execute on Unhandled Exceptions
+        private void Application_UnhandledException(object sender, ApplicationUnhandledExceptionEventArgs e)
+        {
+            if (Debugger.IsAttached)
+            {
+                // An unhandled exception has occurred; break into the debugger
+                Debugger.Break();
+            }
+        }
+
+        #region Phone application initialization
+
+        // Avoid double-initialization
+        private bool phoneApplicationInitialized = false;
+
+        // Do not add any additional code to this method
+        private void InitializePhoneApplication()
+        {
+            if (phoneApplicationInitialized)
+                return;
+
+            // Create the frame but don't set it as RootVisual yet; this allows the splash
+            // screen to remain active until the application is ready to render.
+            RootFrame = new PhoneApplicationFrame();
+            RootFrame.Navigated += CompleteInitializePhoneApplication;
+
+            // Handle navigation failures
+            RootFrame.NavigationFailed += RootFrame_NavigationFailed;
+
+            // Handle reset requests for clearing the backstack
+            RootFrame.Navigated += CheckForResetNavigation;
+
+            // Ensure we don't initialize again
+            phoneApplicationInitialized = true;
+        }
+
+        // Do not add any additional code to this method
+        private void CompleteInitializePhoneApplication(object sender, NavigationEventArgs e)
+        {
+            // Set the root visual to allow the application to render
+            if (RootVisual != RootFrame)
+                RootVisual = RootFrame;
+
+            // Remove this handler since it is no longer needed
+            RootFrame.Navigated -= CompleteInitializePhoneApplication;
+        }
+
+        private void CheckForResetNavigation(object sender, NavigationEventArgs e)
+        {
+            // If the app has received a 'reset' navigation, then we need to check
+            // on the next navigation to see if the page stack should be reset
+            if (e.NavigationMode == NavigationMode.Reset)
+                RootFrame.Navigated += ClearBackStackAfterReset;
+        }
+
+        private void ClearBackStackAfterReset(object sender, NavigationEventArgs e)
+        {
+            // Unregister the event so it doesn't get called again
+            RootFrame.Navigated -= ClearBackStackAfterReset;
+
+            // Only clear the stack for 'new' (forward) and 'refresh' navigations
+            if (e.NavigationMode != NavigationMode.New && e.NavigationMode != NavigationMode.Refresh)
+                return;
+
+            // For UI consistency, clear the entire page stack
+            while (RootFrame.RemoveBackEntry() != null)
+            {
+                ; // do nothing
+            }
+        }
+
+        #endregion
+
+        // Initialize the app's font and flow direction as defined in its localized resource strings.
+        //
+        // To ensure that the font of your application is aligned with its supported languages and that the
+        // FlowDirection for each of those languages follows its traditional direction, ResourceLanguage
+        // and ResourceFlowDirection should be initialized in each resx file to match these values with that
+        // file's culture. For example:
+        //
+        // AppResources.es-ES.resx
+        //    ResourceLanguage's value should be "es-ES"
+        //    ResourceFlowDirection's value should be "LeftToRight"
+        //
+        // AppResources.ar-SA.resx
+        //     ResourceLanguage's value should be "ar-SA"
+        //     ResourceFlowDirection's value should be "RightToLeft"
+        //
+        // For more info on localizing Windows Phone apps see http://go.microsoft.com/fwlink/?LinkId=262072.
+        //
+        private void InitializeLanguage()
+        {
+        }
+    }
+}
Index: /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/wp8/MainPage.xaml
===================================================================
--- /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/wp8/MainPage.xaml	(revision 5539)
+++ /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/wp8/MainPage.xaml	(revision 5539)
@@ -0,0 +1,26 @@
+﻿<phone:PhoneApplicationPage
+    x:Class="PjsuaCLI.UI.MainPage"
+    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
+    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
+    xmlns:phone="clr-namespace:Microsoft.Phone.Controls;assembly=Microsoft.Phone"
+    xmlns:shell="clr-namespace:Microsoft.Phone.Shell;assembly=Microsoft.Phone"
+    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
+    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
+    mc:Ignorable="d"
+    FontFamily="{StaticResource PhoneFontFamilyNormal}"
+    FontSize="{StaticResource PhoneFontSizeNormal}"
+    Foreground="{StaticResource PhoneForegroundBrush}"
+    SupportedOrientations="Portrait" Orientation="Portrait"
+    shell:SystemTray.IsVisible="True">
+
+    <!--LayoutRoot is the root grid where all page content is placed-->
+    <Grid x:Name="LayoutRoot" Background="Black">
+        <Grid.RowDefinitions>
+            <RowDefinition Height="Auto"/>
+            <RowDefinition Height="*"/>
+        </Grid.RowDefinitions>
+        <Image x:Name="imgMain" HorizontalAlignment="Center" Margin="0" Grid.RowSpan="2" VerticalAlignment="Center" Source="/Assets/teluu-logo.png" Height="239"/>
+        <TextBlock x:Name="txtStatus" HorizontalAlignment="Center" Margin="0" Grid.RowSpan="2" TextWrapping="Wrap" VerticalAlignment="Bottom" Foreground="White"/>
+    </Grid>    
+
+</phone:PhoneApplicationPage>
Index: /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/wp8/MainPage.xaml.cs
===================================================================
--- /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/wp8/MainPage.xaml.cs	(revision 5539)
+++ /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/wp8/MainPage.xaml.cs	(revision 5539)
@@ -0,0 +1,70 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Net;
+using System.Windows;
+using System.Windows.Controls;
+using System.Windows.Navigation;
+using Microsoft.Phone.Controls;
+using Microsoft.Phone.Shell;
+using PjsuaCLI.BackEnd;
+
+namespace PjsuaCLI.UI
+{
+    public partial class MainPage : PhoneApplicationPage, IPjsuaCallback
+    {
+        // Constructor
+        public MainPage()
+        {
+            InitializeComponent();
+
+            // Sample code to localize the ApplicationBar
+            //BuildLocalizedApplicationBar();
+        }
+
+        public virtual void OnPjsuaStarted(string outStr)
+        {
+            setStatus(outStr);
+        }
+
+        public virtual void OnPjsuaStopped(int restart)
+        {
+            setStatus("Telnet stopped, restart(" + (restart == 0 ? "No" : "Yes") + ")");
+        }
+
+        public void setStatus(string status)
+        {
+            txtStatus.Text = status;
+        }
+
+        // Sample code for building a localized ApplicationBar
+        //private void BuildLocalizedApplicationBar()
+        //{
+        //    // Set the page's ApplicationBar to a new instance of ApplicationBar.
+        //    ApplicationBar = new ApplicationBar();
+
+        //    // Create a new button and set the text value to the localized string from AppResources.
+        //    ApplicationBarIconButton appBarButton = new ApplicationBarIconButton(new Uri("/Assets/AppBar/appbar.add.rest.png", UriKind.Relative));
+        //    appBarButton.Text = AppResources.AppBarButtonText;
+        //    ApplicationBar.Buttons.Add(appBarButton);
+
+        //    // Create a new menu item with the localized string from AppResources.
+        //    ApplicationBarMenuItem appBarMenuItem = new ApplicationBarMenuItem(AppResources.AppBarMenuItemText);
+        //    ApplicationBar.MenuItems.Add(appBarMenuItem);
+        //}
+
+        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs nee)
+        {
+            base.OnNavigatedTo(nee);
+
+            Globals.Instance.PjsuaCallback.SetCallback(this);
+            Globals.Instance.pjsuaStart();
+        }
+
+        protected override void OnNavigatedFrom(System.Windows.Navigation.NavigationEventArgs nee)
+        {
+            base.OnNavigatedFrom(nee);
+            Globals.Instance.pjsuaDestroy();
+        }
+    }
+}
Index: /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/wp8/Properties/AssemblyInfo.cs
===================================================================
--- /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/wp8/Properties/AssemblyInfo.cs	(revision 5539)
+++ /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/wp8/Properties/AssemblyInfo.cs	(revision 5539)
@@ -0,0 +1,37 @@
+﻿using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+using System.Resources;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("Test")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("Test")]
+[assembly: AssemblyCopyright("Copyright ©  2015")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("5d7ffb73-1a69-4097-b5d5-c7b18168000d")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Revision and Build Numbers 
+// by using the '*' as shown below:
+[assembly: AssemblyVersion("1.0.0.0")]
+[assembly: AssemblyFileVersion("1.0.0.0")]
+[assembly: NeutralResourcesLanguageAttribute("en-US")]
Index: /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/wp8/pjsua_cli_wp8.csproj
===================================================================
--- /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/wp8/pjsua_cli_wp8.csproj	(revision 5539)
+++ /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/wp8/pjsua_cli_wp8.csproj	(revision 5539)
@@ -0,0 +1,142 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="14.0" DefaultTargets="CheckAPI" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <!--Check for API_Family-->
+  <PropertyGroup>
+    <PROJ_Target>WinPhone8</PROJ_Target>
+  </PropertyGroup>
+  <Import Project="..\..\..\..\..\..\build\vs\pjproject-vs14-common-config.props" />
+  <Import Project="..\..\..\..\..\..\build\vs\pjproject-vs14-common-targets.targets" />
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProductVersion>10.0.20506</ProductVersion>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectGuid>{B3BA00A5-4F68-4F52-8081-395124F141AB}</ProjectGuid>
+    <ProjectTypeGuids>{C089C8C0-30E0-4E22-80C0-CE093F111A43};{fae04ec0-301f-11d3-bf4b-00c04f79efbc}</ProjectTypeGuids>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>PjsuaCLI.UI</RootNamespace>
+    <AssemblyName>PjsuaCLI</AssemblyName>
+    <TargetFrameworkIdentifier>WindowsPhone</TargetFrameworkIdentifier>
+    <TargetFrameworkVersion>v8.0</TargetFrameworkVersion>
+    <SilverlightVersion>$(TargetFrameworkVersion)</SilverlightVersion>
+    <SilverlightApplication>true</SilverlightApplication>
+    <SupportedCultures>
+    </SupportedCultures>
+    <XapOutputs>true</XapOutputs>
+    <GenerateSilverlightManifest>true</GenerateSilverlightManifest>
+    <XapFilename>PjsuaCLI.xap</XapFilename>
+    <SilverlightManifestTemplate>Properties\AppManifest.xml</SilverlightManifestTemplate>
+    <SilverlightAppEntry>PjsuaCLI.UI.App</SilverlightAppEntry>
+    <ValidateXaml>true</ValidateXaml>
+    <MinimumVisualStudioVersion>11.0</MinimumVisualStudioVersion>
+    <ThrowErrorsInValidation>true</ThrowErrorsInValidation>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>Bin\Debug</OutputPath>
+    <DefineConstants>DEBUG;TRACE;SILVERLIGHT;WINDOWS_PHONE</DefineConstants>
+    <NoStdLib>true</NoStdLib>
+    <NoConfig>true</NoConfig>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>Bin\Release</OutputPath>
+    <DefineConstants>TRACE;SILVERLIGHT;WINDOWS_PHONE</DefineConstants>
+    <NoStdLib>true</NoStdLib>
+    <NoConfig>true</NoConfig>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' Or '$(Configuration)|$(Platform)' == 'Debug|Win32'  ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>Bin\x86\Debug</OutputPath>
+    <DefineConstants>DEBUG;TRACE;SILVERLIGHT;WINDOWS_PHONE</DefineConstants>
+    <NoStdLib>true</NoStdLib>
+    <NoConfig>true</NoConfig>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>Bin\x86\Release</OutputPath>
+    <DefineConstants>TRACE;SILVERLIGHT;WINDOWS_PHONE</DefineConstants>
+    <NoStdLib>true</NoStdLib>
+    <NoConfig>true</NoConfig>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|ARM' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>Bin\ARM\Debug</OutputPath>
+    <DefineConstants>DEBUG;TRACE;SILVERLIGHT;WINDOWS_PHONE</DefineConstants>
+    <NoStdLib>true</NoStdLib>
+    <NoConfig>true</NoConfig>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|ARM' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>Bin\ARM\Release</OutputPath>
+    <DefineConstants>TRACE;SILVERLIGHT;WINDOWS_PHONE</DefineConstants>
+    <NoStdLib>true</NoStdLib>
+    <NoConfig>true</NoConfig>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <ItemGroup>
+    <Compile Include="App.xaml.cs">
+      <DependentUpon>App.xaml</DependentUpon>
+    </Compile>
+    <Compile Include="MainPage.xaml.cs">
+      <DependentUpon>MainPage.xaml</DependentUpon>
+    </Compile>
+    <Compile Include="Properties\AssemblyInfo.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <ApplicationDefinition Include="App.xaml">
+      <SubType>Designer</SubType>
+      <Generator>MSBuild:Compile</Generator>
+    </ApplicationDefinition>
+    <Page Include="MainPage.xaml">
+      <SubType>Designer</SubType>
+      <Generator>MSBuild:Compile</Generator>
+    </Page>
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Properties\AppManifest.xml" />
+    <None Include="Properties\WMAppManifest.xml">
+      <SubType>Designer</SubType>
+    </None>
+  </ItemGroup>
+  <ItemGroup>
+    <Content Include="Assets\teluu-logo.png" />
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\comp\pjsua_cli_wp8_comp.vcxproj">
+      <Project>{e75efd41-c7f5-44c8-8ff1-a310d920989d}</Project>
+      <Name>pjsua_cli_wp8_comp</Name>
+    </ProjectReference>
+  </ItemGroup>
+  <Import Project="$(MSBuildExtensionsPath)\Microsoft\$(TargetFrameworkIdentifier)\$(TargetFrameworkVersion)\Microsoft.$(TargetFrameworkIdentifier).$(TargetFrameworkVersion).Overrides.targets" />
+  <Import Project="$(MSBuildExtensionsPath)\Microsoft\$(TargetFrameworkIdentifier)\$(TargetFrameworkVersion)\Microsoft.$(TargetFrameworkIdentifier).CSharp.targets" />
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it.
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+  <ProjectExtensions />
+</Project>
Index: /pjproject/trunk/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip.sln
===================================================================
--- /pjproject/trunk/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip.sln	(revision 5539)
+++ /pjproject/trunk/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip.sln	(revision 5539)
@@ -0,0 +1,94 @@
+﻿
+Microsoft Visual Studio Solution File, Format Version 12.00
+# Visual Studio 14
+VisualStudioVersion = 14.0.23107.0
+MinimumVisualStudioVersion = 10.0.40219.1
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "Voip", "Voip\Voip.csproj", "{DFD0DAC2-D55D-4CC2-AC95-DD36C6539585}"
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "VoipHost", "VoipHost\VoipHost.vcxproj", "{016D497F-0EE0-449E-89F5-BD63F7F9A8A6}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "VoipTasks", "VoipTasks\VoipTasks.csproj", "{9FDF5E33-D15D-409F-876E-4E77727936B9}"
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "VoipBackEnd", "VoipBackEnd\VoipBackEnd.vcxproj", "{FC9CBB95-624C-4CE8-86A8-3AB5A415AA65}"
+EndProject
+Global
+	GlobalSection(SolutionConfigurationPlatforms) = preSolution
+		Debug|Any CPU = Debug|Any CPU
+		Debug|ARM = Debug|ARM
+		Debug|x64 = Debug|x64
+		Debug|x86 = Debug|x86
+		Release|Any CPU = Release|Any CPU
+		Release|ARM = Release|ARM
+		Release|x64 = Release|x64
+		Release|x86 = Release|x86
+	EndGlobalSection
+	GlobalSection(ProjectConfigurationPlatforms) = postSolution
+		{DFD0DAC2-D55D-4CC2-AC95-DD36C6539585}.Debug|Any CPU.ActiveCfg = Debug|x86
+		{DFD0DAC2-D55D-4CC2-AC95-DD36C6539585}.Debug|ARM.ActiveCfg = Debug|ARM
+		{DFD0DAC2-D55D-4CC2-AC95-DD36C6539585}.Debug|ARM.Build.0 = Debug|ARM
+		{DFD0DAC2-D55D-4CC2-AC95-DD36C6539585}.Debug|ARM.Deploy.0 = Debug|ARM
+		{DFD0DAC2-D55D-4CC2-AC95-DD36C6539585}.Debug|x64.ActiveCfg = Debug|x64
+		{DFD0DAC2-D55D-4CC2-AC95-DD36C6539585}.Debug|x64.Build.0 = Debug|x64
+		{DFD0DAC2-D55D-4CC2-AC95-DD36C6539585}.Debug|x64.Deploy.0 = Debug|x64
+		{DFD0DAC2-D55D-4CC2-AC95-DD36C6539585}.Debug|x86.ActiveCfg = Debug|x86
+		{DFD0DAC2-D55D-4CC2-AC95-DD36C6539585}.Debug|x86.Build.0 = Debug|x86
+		{DFD0DAC2-D55D-4CC2-AC95-DD36C6539585}.Debug|x86.Deploy.0 = Debug|x86
+		{DFD0DAC2-D55D-4CC2-AC95-DD36C6539585}.Release|Any CPU.ActiveCfg = Release|x86
+		{DFD0DAC2-D55D-4CC2-AC95-DD36C6539585}.Release|ARM.ActiveCfg = Release|ARM
+		{DFD0DAC2-D55D-4CC2-AC95-DD36C6539585}.Release|ARM.Build.0 = Release|ARM
+		{DFD0DAC2-D55D-4CC2-AC95-DD36C6539585}.Release|ARM.Deploy.0 = Release|ARM
+		{DFD0DAC2-D55D-4CC2-AC95-DD36C6539585}.Release|x64.ActiveCfg = Release|x64
+		{DFD0DAC2-D55D-4CC2-AC95-DD36C6539585}.Release|x64.Build.0 = Release|x64
+		{DFD0DAC2-D55D-4CC2-AC95-DD36C6539585}.Release|x64.Deploy.0 = Release|x64
+		{DFD0DAC2-D55D-4CC2-AC95-DD36C6539585}.Release|x86.ActiveCfg = Release|x86
+		{DFD0DAC2-D55D-4CC2-AC95-DD36C6539585}.Release|x86.Build.0 = Release|x86
+		{DFD0DAC2-D55D-4CC2-AC95-DD36C6539585}.Release|x86.Deploy.0 = Release|x86
+		{016D497F-0EE0-449E-89F5-BD63F7F9A8A6}.Debug|Any CPU.ActiveCfg = Debug|Win32
+		{016D497F-0EE0-449E-89F5-BD63F7F9A8A6}.Debug|ARM.ActiveCfg = Debug|ARM
+		{016D497F-0EE0-449E-89F5-BD63F7F9A8A6}.Debug|ARM.Build.0 = Debug|ARM
+		{016D497F-0EE0-449E-89F5-BD63F7F9A8A6}.Debug|x64.ActiveCfg = Debug|x64
+		{016D497F-0EE0-449E-89F5-BD63F7F9A8A6}.Debug|x64.Build.0 = Debug|x64
+		{016D497F-0EE0-449E-89F5-BD63F7F9A8A6}.Debug|x86.ActiveCfg = Debug|Win32
+		{016D497F-0EE0-449E-89F5-BD63F7F9A8A6}.Debug|x86.Build.0 = Debug|Win32
+		{016D497F-0EE0-449E-89F5-BD63F7F9A8A6}.Release|Any CPU.ActiveCfg = Release|Win32
+		{016D497F-0EE0-449E-89F5-BD63F7F9A8A6}.Release|ARM.ActiveCfg = Release|ARM
+		{016D497F-0EE0-449E-89F5-BD63F7F9A8A6}.Release|ARM.Build.0 = Release|ARM
+		{016D497F-0EE0-449E-89F5-BD63F7F9A8A6}.Release|x64.ActiveCfg = Release|x64
+		{016D497F-0EE0-449E-89F5-BD63F7F9A8A6}.Release|x64.Build.0 = Release|x64
+		{016D497F-0EE0-449E-89F5-BD63F7F9A8A6}.Release|x86.ActiveCfg = Release|Win32
+		{016D497F-0EE0-449E-89F5-BD63F7F9A8A6}.Release|x86.Build.0 = Release|Win32
+		{9FDF5E33-D15D-409F-876E-4E77727936B9}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{9FDF5E33-D15D-409F-876E-4E77727936B9}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{9FDF5E33-D15D-409F-876E-4E77727936B9}.Debug|ARM.ActiveCfg = Debug|ARM
+		{9FDF5E33-D15D-409F-876E-4E77727936B9}.Debug|ARM.Build.0 = Debug|ARM
+		{9FDF5E33-D15D-409F-876E-4E77727936B9}.Debug|x64.ActiveCfg = Debug|x64
+		{9FDF5E33-D15D-409F-876E-4E77727936B9}.Debug|x64.Build.0 = Debug|x64
+		{9FDF5E33-D15D-409F-876E-4E77727936B9}.Debug|x86.ActiveCfg = Debug|x86
+		{9FDF5E33-D15D-409F-876E-4E77727936B9}.Debug|x86.Build.0 = Debug|x86
+		{9FDF5E33-D15D-409F-876E-4E77727936B9}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{9FDF5E33-D15D-409F-876E-4E77727936B9}.Release|Any CPU.Build.0 = Release|Any CPU
+		{9FDF5E33-D15D-409F-876E-4E77727936B9}.Release|ARM.ActiveCfg = Release|ARM
+		{9FDF5E33-D15D-409F-876E-4E77727936B9}.Release|ARM.Build.0 = Release|ARM
+		{9FDF5E33-D15D-409F-876E-4E77727936B9}.Release|x64.ActiveCfg = Release|x64
+		{9FDF5E33-D15D-409F-876E-4E77727936B9}.Release|x64.Build.0 = Release|x64
+		{9FDF5E33-D15D-409F-876E-4E77727936B9}.Release|x86.ActiveCfg = Release|x86
+		{9FDF5E33-D15D-409F-876E-4E77727936B9}.Release|x86.Build.0 = Release|x86
+		{FC9CBB95-624C-4CE8-86A8-3AB5A415AA65}.Debug|Any CPU.ActiveCfg = Debug|Win32
+		{FC9CBB95-624C-4CE8-86A8-3AB5A415AA65}.Debug|ARM.ActiveCfg = Debug|ARM
+		{FC9CBB95-624C-4CE8-86A8-3AB5A415AA65}.Debug|ARM.Build.0 = Debug|ARM
+		{FC9CBB95-624C-4CE8-86A8-3AB5A415AA65}.Debug|x64.ActiveCfg = Debug|x64
+		{FC9CBB95-624C-4CE8-86A8-3AB5A415AA65}.Debug|x64.Build.0 = Debug|x64
+		{FC9CBB95-624C-4CE8-86A8-3AB5A415AA65}.Debug|x86.ActiveCfg = Debug|Win32
+		{FC9CBB95-624C-4CE8-86A8-3AB5A415AA65}.Debug|x86.Build.0 = Debug|Win32
+		{FC9CBB95-624C-4CE8-86A8-3AB5A415AA65}.Release|Any CPU.ActiveCfg = Release|Win32
+		{FC9CBB95-624C-4CE8-86A8-3AB5A415AA65}.Release|ARM.ActiveCfg = Release|ARM
+		{FC9CBB95-624C-4CE8-86A8-3AB5A415AA65}.Release|ARM.Build.0 = Release|ARM
+		{FC9CBB95-624C-4CE8-86A8-3AB5A415AA65}.Release|x64.ActiveCfg = Release|x64
+		{FC9CBB95-624C-4CE8-86A8-3AB5A415AA65}.Release|x64.Build.0 = Release|x64
+		{FC9CBB95-624C-4CE8-86A8-3AB5A415AA65}.Release|x86.ActiveCfg = Release|Win32
+		{FC9CBB95-624C-4CE8-86A8-3AB5A415AA65}.Release|x86.Build.0 = Release|Win32
+	EndGlobalSection
+	GlobalSection(SolutionProperties) = preSolution
+		HideSolutionNode = FALSE
+	EndGlobalSection
+EndGlobal
Index: /pjproject/trunk/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/App.xaml
===================================================================
--- /pjproject/trunk/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/App.xaml	(revision 5539)
+++ /pjproject/trunk/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/App.xaml	(revision 5539)
@@ -0,0 +1,8 @@
+﻿<Application
+    x:Class="VoipUI.App"
+    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
+    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
+    xmlns:local="using:VoipUI"
+    RequestedTheme="Light">
+
+</Application>
